#!/bin/sh

RPM_INSTALL_PREFIX=`dirname $0`
RPM_INSTALL_PREFIX=`cd $RPM_INSTALL_PREFIX;pwd`

# Exit if Globus is already setup
if test -f $RPM_INSTALL_PREFIX/.already_setup
then
  echo "Globus already setup"
else

# Setup script for gpt-3.2-5ng
printf "=== Running setup script for gpt-3.2-5ng ===\n"
export GPT_LOCATION=$RPM_INSTALL_PREFIX

# Setup script for globus_common_setup-2.6-0.8
(
printf "=== Running setup script for globus_common_setup-2.6-0.8 ===\n"
# Try to make sure GPT_LOCATION is set
if test "x$GPT_LOCATION" = "x"
then
  if test -f /etc/profile.d/gpt.sh
  then
    source /etc/profile.d/gpt.sh
  fi
fi
export GLOBUS_LOCATION=$RPM_INSTALL_PREFIX
cd $RPM_INSTALL_PREFIX/setup/globus/
./setup-globus-common
)
cd $RPM_INSTALL_PREFIX

# Setup script for globus_mds_common_setup-2.5-0.8
(
printf "=== Running setup script for globus_mds_common_setup-2.5-0.8 ===\n"
# Try to make sure GPT_LOCATION is set
if test "x$GPT_LOCATION" = "x"
then
  if test -f /etc/profile.d/gpt.sh
  then
    source /etc/profile.d/gpt.sh
  fi
fi
export GLOBUS_LOCATION=$RPM_INSTALL_PREFIX
cd $RPM_INSTALL_PREFIX/setup/globus/
./setup-globus-mds-common
)
cd $RPM_INSTALL_PREFIX

# Setup script for globus_mds_gris_setup-2.11-0.8
(
printf "=== Running setup script for globus_mds_gris_setup-2.11-0.8 ===\n"
# Try to make sure GPT_LOCATION is set
if test "x$GPT_LOCATION" = "x"
then
  if test -f /etc/profile.d/gpt.sh
  then
    source /etc/profile.d/gpt.sh
  fi
fi
export GLOBUS_LOCATION=$RPM_INSTALL_PREFIX
cd $RPM_INSTALL_PREFIX/setup/globus/
./setup-globus-mds-gris
)
cd $RPM_INSTALL_PREFIX

touch $RPM_INSTALL_PREFIX/.already_setup

fi
unset RPM_INSTALL_PREFIX

